NAT Gateway
Create NAT Gateway
post
/nat-gateway/Create a NAT Gateway. An existing private network is required (passed by UUID) and the gateway is allocated a public IPv4 and IPv6 floating IP from the network's location. Both IPs must be available: the request is rejected if either one cannot be allocated.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Cuerpo de la petición
Create a new NAT Gateway
application/jsonObligatorio
name*string
NAT Gateway name
Rango
1 ≤ length ≤ 100label?string | null
Optional label
Rango
length ≤ 255plan_name*string
Plan name
Rango
1 ≤ length ≤ 50network_id*integer
ID of the private network
Rango
0 < valueproject_id?integer | null
Project ID (inferred from the network if not specified)
Rango
0 < valueRespuestas
Successful Response
application/json
uuid*string
name*string
label?string | null
status*string
plan*NgPlanDetailOut
Plan the NAT Gateway runs on.
Propiedades (6)
uuid*string
name*string
description?string | null
price_per_hour*number
bandwidth_mbps?integer | null
connections_per_second?integer | null
location_name?string | null
location_description?string | null
project_id?integer | null
project_name?string | null
network_id?integer | null
network_name?string | null
network_cidr?string | null
private_ip?string | null
monthly_charges?number
Por defecto
0floating_ip?NgFloatingIPOut | null
Public IP assigned to a NAT Gateway.
Propiedades (4)
address*string
netmask?string | null
type?string | null
rdns?string | null
protected?boolean
Por defecto
falsecreated_at?string | null
updated_at?string | null